Package org.eclipse.ecf.core.sharedobject.util

# Class QueueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.core.sharedobject.util.QueueException

All Implemented Interfaces:
  `Serializable`

public class QueueException extends ECFException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`QueueException()`
`QueueException(String message)`
`QueueException(String message, Throwable cause)`
`QueueException(Throwable cause)`
`QueueException(org.eclipse.core.runtime.IStatus status)`
`QueueException(IQueue queue)`

## Method Summary

Modifier and Type
Method
Description
`IQueue`
`getQueue()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QueueException

public QueueException(org.eclipse.core.runtime.IStatus status)

### QueueException

public QueueException()

### QueueException

public QueueException(IQueue queue)

### QueueException

public QueueException(String message)

### QueueException

public QueueException(String message, Throwable cause)

### QueueException

public QueueException(Throwable cause)

## Method Details

### getQueue

public IQueue getQueue()